zoo

## Class Point

- java.lang.Object
- - zoo.Point

-     public class Point
      extends java.lang.Object

  Création, affichage et vérification d'un point

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Point(float x, float y)` Constructeur de Point
    `Point(Point p)` Constructeur de copie

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)` Surcharge equals
    `float` | `getX()` Getter de X
    `float` | `getY()` Getter de Y
    `boolean` | `isSameAs(Point p)` Vérifie si deux points sont identiques à partir de leur coordonnées
    `static void` | `main(java.lang.String[] args)` Méthode main de Point
    `java.lang.String` | `toString()` Affichage du point

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Point

          public Point(float x,
                       float y)

      Constructeur de Point
      Parameters:
        `x` - coordonnées x
        `y` - coordonnées y

    - #### Point

          public Point(Point p)

      Constructeur de copie
      Parameters:
        `p` - point à copier

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)

      Méthode main de Point
      Parameters:
        `args` - Chaines de caractères

    - #### getX

          public float getX()

      Getter de X
      Returns:
        coordonnées x

    - #### getY

          public float getY()

      Getter de Y
      Returns:
        coordonnées y

    - #### isSameAs

          public boolean isSameAs(Point p)

      Vérifie si deux points sont identiques à partir de leur coordonnées
      Parameters:
        `p` - Point à vérifier
      Returns:
        true/false

    - #### equals

          public boolean equals(java.lang.Object obj)

      Surcharge equals
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `obj` - Point à vérifier
      Returns:
        true/false

    - #### toString

          public java.lang.String toString()

      Affichage du point
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Point [x=..., y=...]